Index: python/getMARSdata.py
===================================================================
--- python/getMARSdata.py	(revision 02c8c50da359770adb72a6e9287a59e6be76cb36)
+++ python/getMARSdata.py	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -1,35 +1,50 @@
 #!/usr/bin/env python
-#
-# This software is licensed under the terms of the Apache Licence Version 2.0
-# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
-#
-# Functionality provided: Prepare input 3D-wind fields in hybrid coordinates + surface fields for FLEXPART runs
-#
-# Creation: October  2014 - Anne Fouilloux - University of Oslo
-# Extension November 2015 - Leopold Haimberger - University of Vienna for:
-# - using the WebAPI also for general MARS retrievals
-# - job submission on ecgate and cca
-# - job templates suitable for twice daily operational dissemination
-# - dividing retrievals of longer periods into digestable chunks
-# - retrieve also longer term forecasts, not only analyses and short term forecast data
-# - conversion into GRIB2
-# - conversion into .fp format for faster execution of FLEXPART
-#
-#
-# Further documentation may be obtained from www.flexpart.eu
-#
-# Requirements:
-# in addition to a standard python 2.6 or 2.7 installation the following packages need to be installed
-# ECMWF WebMARS, gribAPI with python enabled, emoslib, ecaccess web toolkit, all available from https://software.ecmwf.int/
-# dateutils
-# matplotlib (optional, for debugging)
-#
-# Get MARS GRIB fields from ECMWF for FLEXPART
-#
-
-#import socket
-
-#hostname=socket.gethostname()
-#ecapi= 'ecmwf' not in hostname
+# -*- coding: utf-8 -*-
+#************************************************************************
+# TODO AP
+# - Change History ist nicht angepasst ans File!
+# - add file description
+#************************************************************************
+"""
+@Author: Anne Fouilloux (University of Oslo)
+
+@Date: October 2014
+
+@ChangeHistory:
+    November 2015 - Leopold Haimberger (University of Vienna):
+        - using the WebAPI also for general MARS retrievals
+        - job submission on ecgate and cca
+        - job templates suitable for twice daily operational dissemination
+        - dividing retrievals of longer periods into digestable chunks
+        - retrieve also longer term forecasts, not only analyses and
+          short term forecast data
+        - conversion into GRIB2
+        - conversion into .fp format for faster execution of FLEXPART
+
+    February 2018 - Anne Philipp (University of Vienna):
+        - applied PEP8 style guide
+        - added documentation
+        - minor changes in programming style for consistence
+
+@License:
+    (C) Copyright 2014-2018.
+
+    This software is licensed under the terms of the Apache Licence Version 2.0
+    which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
+
+@Requirements:
+    - A standard python 2.6 or 2.7 installation
+    - dateutils
+    - ECMWF specific packages, all available from https://software.ecmwf.int/
+        ECMWF WebMARS, gribAPI with python enabled, emoslib and
+        ecaccess web toolkit
+
+@Description:
+    Further documentation may be obtained from www.flexpart.eu.
+
+"""
+# ------------------------------------------------------------------------------
+# MODULES
+# ------------------------------------------------------------------------------
 try:
     ecapi=True
@@ -42,7 +57,8 @@
 import datetime
 import time
-import os,glob,sys,inspect
-#from string import strip
-from argparse import ArgumentParser,ArgumentDefaultsHelpFormatter
+import os
+import glob
+import sys
+import inspect
 # add path to submit.py to pythonpath so that python finds its buddies
 localpythonpath=os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
@@ -50,9 +66,12 @@
     sys.path.append(localpythonpath)
 
-from FlexpartTools import ECFlexpart,  \
-                          Control, myerror, normalexit, \
+from Control import Control
+from Tools import myerror, normalexit, \
                           interpret_args_and_control
-
-
+from ECFlexpart import ECFlexpart
+
+# ------------------------------------------------------------------------------
+# FUNCTION
+# ------------------------------------------------------------------------------
 def getMARSdata(args, c):
 
@@ -71,5 +90,5 @@
     print 'ecapi:', c.ecapi
 
-# Retrieve ERA interim data for running flexpart
+# Retrieve EC data for running flexpart
 #AP change this variant to correct format conversion with datetime
 #AP import datetime and timedelta explicitly
@@ -81,4 +100,5 @@
     if c.basetime == '00':
         start = startm1
+
     eyear = int(c.end_date[:4])
     emonth = int(c.end_date[4:6])
@@ -91,21 +111,34 @@
 
     datechunk = datetime.timedelta(days=int(c.date_chunk))
+
+    # retrieving of accumulated data fields (flux data), (maximum one month)
+
+    # remove old files
     print 'removing content of ' + c.inputdir
-    tobecleaned = glob.glob(c.inputdir + '/*_acc_*.' + str(os.getppid()) + '.*.grb')
+    tobecleaned = glob.glob(c.inputdir + '/*_acc_*.' + \
+                            str(os.getppid()) + '.*.grb')
     for f in tobecleaned:
         os.remove(f)
 
-    times=None
-    if c.maxstep<24:
-        day=startm1
-        while day<endp1:
-                # we need to retrieve MARS data for this period (maximum one month)
-                flexpart = ECFlexpart(c,fluxes=True)
-                if day+datechunk-datetime.timedelta(days=1)<endp1:
-                    dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
+    times = None
+    # if forecast for maximum one day (upto 23h) are to be retrieved,
+    # collect accumulation data (flux data)
+    # with additional days in the beginning and at the end
+    # (used for complete disaggregation of original period)
+    if c.maxstep < 24:
+        day = startm1
+        while day < endp1:
+                # retrieve MARS data for the whole period
+                flexpart = ECFlexpart(c, fluxes=True)
+                tmpday = day + datechunk - datetime.timedelta(days=1)
+                if tmpday < endp1:
+                    dates = day.strftime("%Y%m%d") + "/to/" + \
+                            tmpday.strftime("%Y%m%d")
                 else:
-                    dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
+                    dates = day.strftime("%Y%m%d") + "/to/" + \
+                            end.strftime("%Y%m%d")
 
                 print "retrieve " + dates + " in dir " + c.inputdir
+
                 try:
                     flexpart.retrieve(server, dates, times, c.inputdir)
@@ -113,43 +146,67 @@
                     myerror(c,'MARS request failed')
 
-                day+=datechunk
+                day += datechunk
+
+    # if forecast data longer than 24h are to be retrieved,
+    # collect accumulation data (flux data)
+    # with the exact start and end date
+    # (disaggregation will be done for the
+    # exact time period with boundary conditions)
     else:
-        day=start
-        while day<=end:
-                # we need to retrieve MARS data for this period (maximum one month)
-                flexpart = ECFlexpart(c,fluxes=True)
-                if day+datechunk-datetime.timedelta(days=1)<end:
-                    dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
+        day = start
+        while day <= end:
+                # retrieve MARS data for the whole period
+                flexpart = ECFlexpart(c, fluxes=True)
+                tmpday = day + datechunk - datetime.timedelta(days=1)
+                if tmpday < end:
+                    dates = day.strftime("%Y%m%d") + "/to/" + \
+                            tmpday.trftime("%Y%m%d")
                 else:
-                    dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
+                    dates = day.strftime("%Y%m%d") + "/to/" + \
+                            end.strftime("%Y%m%d")
 
                 print "retrieve " + dates + " in dir " + c.inputdir
-                flexpart.retrieve(server, dates, times, c.inputdir)
-                day+=datechunk
-
-
-
-    tobecleaned=glob.glob(c.inputdir+'/*__*.'+str(os.getppid())+'.*.grb')
+
+                try:
+                    flexpart.retrieve(server, dates, times, c.inputdir)
+                except IOError:
+                    myerror(c, 'MARS request failed')
+
+                day += datechunk
+
+    # retrieving of normal data fields (non flux data), (maximum one month)
+
+    # remove old *__* files
+    tobecleaned = glob.glob(c.inputdir + '/*__*.' +
+                            str(os.getppid()) + '.*.grb')
     for f in tobecleaned:
         os.remove(f)
-    day=start
-    times=None
-    while day<=end:
-
-               # we need to retrieve MARS data for this period (maximum one month)
-            flexpart = ECFlexpart(c)
-            if day+datechunk-datetime.timedelta(days=1)<end:
-                dates= day.strftime("%Y%m%d") + "/to/" + (day+datechunk-datetime.timedelta(days=1)).strftime("%Y%m%d")
+    day = start
+    times = None
+    while day <= end:
+            # retrieve MARS data for the whole period
+            flexpart = ECFlexpart(c, fluxes=False)
+            tmpday = day+datechunk-datetime.timedelta(days=1)
+            if tmpday < end:
+                dates = day.strftime("%Y%m%d") + "/to/" + \
+                        tmpday.strftime("%Y%m%d")
             else:
-                dates= day.strftime("%Y%m%d") + "/to/" + end.strftime("%Y%m%d")
+                dates = day.strftime("%Y%m%d") + "/to/" + \
+                        end.strftime("%Y%m%d")
+
             print "retrieve " + dates + " in dir " + c.inputdir
 
-            flexpart.retrieve(server, dates, times, c.inputdir)
-            day+=datechunk
-
+            try:
+                flexpart.retrieve(server, dates, times, c.inputdir)
+            except IOError:
+                myerror(c, 'MARS request failed')
+
+            day += datechunk
+
+    return
 
 if __name__ == "__main__":
 
-    args,c=interpret_args_and_control()
-    getMARSdata(args,c)
+    args, c = interpret_args_and_control()
+    getMARSdata(args, c)
     normalexit(c)
Index: python/install.py
===================================================================
--- python/install.py	(revision 02c8c50da359770adb72a6e9287a59e6be76cb36)
+++ python/install.py	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -64,15 +64,122 @@
 localpythonpath=os.path.dirname(os.path.abspath(inspect.getfile(inspect.currentframe())))
 sys.path.append(localpythonpath)
-from UIOTools import UIOFiles
+from UIOFiles import UIOFiles
 from string import strip
 from argparse import ArgumentParser,ArgumentDefaultsHelpFormatter
 from GribTools import GribTools
-from FlexpartTools import ECFlexpart, Control, install_args_and_control
+from Control import Control
 from getMARSdata import getMARSdata
 from prepareFLEXPART import prepareFLEXPART
+from ECFlexpart import ECFlexpart
 
 # ------------------------------------------------------------------------------
 # FUNCTIONS
 # ------------------------------------------------------------------------------
+def install_args_and_control():
+    '''
+    @Description:
+        Assigns the command line arguments for installation and reads
+        control file content. Apply default values for non mentioned arguments.
+
+    @Input:
+        <nothing>
+
+    @Return:
+        args: instance of ArgumentParser
+            Contains the commandline arguments from script/program call.
+
+        c: instance of class Control
+            Contains all necessary information of a control file. The parameters
+            are: DAY1, DAY2, DTIME, MAXSTEP, TYPE, TIME, STEP, CLASS, STREAM,
+            NUMBER, EXPVER, GRID, LEFT, LOWER, UPPER, RIGHT, LEVEL, LEVELIST,
+            RESOL, GAUSS, ACCURACY, OMEGA, OMEGADIFF, ETA, ETADIFF, DPDETA,
+            SMOOTH, FORMAT, ADDPAR, WRF, CWC, PREFIX, ECSTORAGE, ECTRANS,
+            ECFSDIR, MAILOPS, MAILFAIL, GRIB2FLEXPART, FLEXPARTDIR
+            For more information about format and content of the parameter see
+            documentation.
+    '''
+    parser = ArgumentParser(description='Install ECMWFDATA software locally or \
+                            on ECMWF machines',
+                            formatter_class=ArgumentDefaultsHelpFormatter)
+
+    parser.add_argument('--target', dest='install_target',
+                        help="Valid targets: local | ecgate | cca , \
+                        the latter two are at ECMWF")
+    parser.add_argument("--makefile", dest="makefile",
+                        help='Name of Makefile to use for compiling CONVERT2')
+    parser.add_argument("--ecuid", dest="ecuid",
+                        help='user id at ECMWF')
+    parser.add_argument("--ecgid", dest="ecgid",
+                        help='group id at ECMWF')
+    parser.add_argument("--gateway", dest="gateway",
+                        help='name of local gateway server')
+    parser.add_argument("--destination", dest="destination",
+                        help='ecaccess destination, e.g. leo@genericSftp')
+
+    parser.add_argument("--flexpart_root_scripts", dest="flexpart_root_scripts",
+                        help="FLEXPART root directory on ECMWF servers \
+                        (to find grib2flexpart and COMMAND file)\n\
+                        Normally ECMWFDATA resides in the scripts directory \
+                        of the FLEXPART distribution, thus the:")
+
+# arguments for job submission to ECMWF, only needed by submit.py
+    parser.add_argument("--job_template", dest='job_template',
+                        default="job.temp.o",
+                        help="job template file for submission to ECMWF")
+
+    parser.add_argument("--controlfile", dest="controlfile",
+                        default='CONTROL.temp',
+                        help="file with control parameters")
+
+    args = parser.parse_args()
+
+    try:
+        c = Control(args.controlfile)
+    except:
+        print('Could not read control file "' + args.controlfile + '"')
+        print('Either it does not exist or its syntax is wrong.')
+        print('Try "' + sys.argv[0].split('/')[-1] +
+              ' -h" to print usage information')
+        exit(1)
+
+    if args.install_target != 'local':
+        if (args.ecgid is None or args.ecuid is None or args.gateway is None
+            or args.destination is None):
+            print('Please enter your ECMWF user id and group id as well as \
+                   the \nname of the local gateway and the ectrans \
+                   destination ')
+            print('with command line options --ecuid --ecgid \
+                   --gateway --destination')
+            print('Try "' + sys.argv[0].split('/')[-1] +
+                  ' -h" to print usage information')
+            print('Please consult ecaccess documentation or ECMWF user support \
+                   for further details')
+            sys.exit(1)
+        else:
+            c.ecuid = args.ecuid
+            c.ecgid = args.ecgid
+            c.gateway = args.gateway
+            c.destination = args.destination
+
+    try:
+        c.makefile = args.makefile
+    except:
+        pass
+
+    if args.install_target == 'local':
+        if args.flexpart_root_scripts is None:
+            c.flexpart_root_scripts = '../'
+        else:
+            c.flexpart_root_scripts = args.flexpart_root_scripts
+
+    if args.install_target != 'local':
+        if args.flexpart_root_scripts is None:
+            c.ec_flexpart_root_scripts = '${HOME}'
+        else:
+            c.ec_flexpart_root_scripts = args.flexpart_root_scripts
+
+    return args, c
+
+
 def main():
     '''
@@ -139,5 +246,5 @@
                         c.ecuid + 'flex_ecmwf.$Jobname.$Job_ID.out'
             if  'export PATH=${PATH}:' in data:
-                data += c.ec_flexpart_root_scripts + '/ECMWFDATA7.0/python'
+                data += c.ec_flexpart_root_scripts + '/ECMWFDATA7.1/python'
             if 'cat>>' in data or 'cat >>' in data:
                 i = data.index('>')
@@ -171,19 +278,19 @@
                 os.chdir('/')
                 p = subprocess.check_call(['tar', '-cvf',
-                                           ecd + '../ECMWFDATA7.0.tar',
+                                           ecd + '../ECMWFDATA7.1.tar',
                                            ecd + 'python',
                                            ecd + 'grib_templates',
                                            ecd + 'src'])
                 try:
-                    os.makedirs(c.flexpart_root_scripts + '/ECMWFDATA7.0')
+                    os.makedirs(c.flexpart_root_scripts + '/ECMWFDATA7.1')
                 except:
                     pass
-                os.chdir(c.flexpart_root_scripts + '/ECMWFDATA7.0')
+                os.chdir(c.flexpart_root_scripts + '/ECMWFDATA7.1')
                 p = subprocess.check_call(['tar', '-xvf',
-                                           ecd + '../ECMWFDATA7.0.tar'])
-                os.chdir(c.flexpart_root_scripts + '/ECMWFDATA7.0/src')
+                                           ecd + '../ECMWFDATA7.1.tar'])
+                os.chdir(c.flexpart_root_scripts + '/ECMWFDATA7.1/src')
 
         os.chdir('../src')
-        print(('install ECMWFDATA7.0 software on ' + target + ' in directory '
+        print(('install ECMWFDATA7.1 software on ' + target + ' in directory '
                + os.getcwd()))
         if c.makefile is None:
@@ -197,10 +304,10 @@
             print(('Using makefile: ' + makefile))
             p = subprocess.check_call(['make', '-f', makefile])
-            p = subprocess.check_call(['ls', '-l',' CONVERT2'])
+            p = subprocess.check_call(['ls', '-l','CONVERT2'])
         except:
             print('compile failed - please edit ' + makefile +
                   ' or try another Makefile in the src directory.')
-            print('most likely GRIB_API_INCLUDE_DIR, GRIB_API_LIB \
-                    and EMOSLIB must be adapted.')
+            print('most likely GRIB_API_INCLUDE_DIR, GRIB_API_LIB '
+                    'and EMOSLIB must be adapted.')
             print('Available Makefiles:')
             print(glob.glob('Makefile*'))
@@ -209,5 +316,5 @@
         os.chdir('/')
         p = subprocess.check_call(['tar', '-cvf',
-                                   ecd + '../ECMWFDATA7.0.tar',
+                                   ecd + '../ECMWFDATA7.1.tar',
                                    ecd + 'python',
                                    ecd + 'grib_templates',
@@ -215,7 +322,7 @@
         try:
             p = subprocess.check_call(['ecaccess-file-put',
-                                       ecd + '../ECMWFDATA7.0.tar',
-                                       'ecgate:/scratch/ms/' + c.ecgid + '/' +
-                                       c.ecuid + '/ECMWFDATA7.0.tar'])
+                                       ecd + '../ECMWFDATA7.1.tar',
+                                       'ecgate:/home/ms/' + c.ecgid + '/' +
+                                       c.ecuid + '/ECMWFDATA7.1.tar'])
         except:
             print('ecaccess-file-put failed! Probably the eccert key has expired.')
@@ -225,14 +332,14 @@
                                    target,
                                    ecd + 'python/compilejob.ksh'])
-        print('compilejob.ksh has been submitted to ecgate for \
-                installation in ' + c.ec_flexpart_root_scripts +
-                '/ECMWFDATA7.0')
-        print('You should get an email with subject flexcompile within \
-                the next few minutes')
+        print('compilejob.ksh has been submitted to ecgate for '
+                'installation in ' + c.ec_flexpart_root_scripts +
+                '/ECMWFDATA7.1')
+        print('You should get an email with subject flexcompile within '
+                'the next few minutes')
 
     elif target.lower() == 'cca':
         os.chdir('/')
         p = subprocess.check_call(['tar', '-cvf',
-                                   ecd + '../ECMWFDATA7.0.tar',
+                                   ecd + '../ECMWFDATA7.1.tar',
                                    ecd + 'python',
                                    ecd + 'grib_templates',
@@ -240,10 +347,10 @@
         try:
             p = subprocess.check_call(['ecaccess-file-put',
-                                       ecd + '../ECMWFDATA7.0.tar',
-                                       'cca:/scratch/ms/' + c.ecgid + '/' +
-                                       c.ecuid + '/ECMWFDATA7.0.tar'])
+                                       ecd + '../ECMWFDATA7.1.tar',
+                                       'cca:/home/ms/' + c.ecgid + '/' +
+                                       c.ecuid + '/ECMWFDATA7.1.tar'])
         except:
-            print('ecaccess-file-put failed! \
-                    Probably the eccert key has expired.')
+            print('ecaccess-file-put failed! '
+                    'Probably the eccert key has expired.')
             exit(1)
 
@@ -251,9 +358,9 @@
                                 '-queueName',
                                 target,
-                                ecd + 'python/compilejob.ksh']))
+                                ecd + 'python/compilejob.ksh'])
         print('compilejob.ksh has been submitted to cca for installation in ' +
-              c.ec_flexpart_root_scripts + '/ECMWFDATA7.0')
-        print('You should get an email with subject flexcompile \
-                within the next few minutes')
+              c.ec_flexpart_root_scripts + '/ECMWFDATA7.1')
+        print('You should get an email with subject flexcompile '
+                'within the next few minutes')
 
     else:
Index: python/job.ksh
===================================================================
--- python/job.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/job.ksh	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -5,5 +5,5 @@
 # start with sbatch NAME_OF_THIS_FILE directly on machine
 
-#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --workdir=/scratch/ms/at/km4a
 #SBATCH --qos=normal
 #SBATCH --job-name=flex_ecmwf
@@ -25,5 +25,5 @@
 
 set -x
-
+export VERSION=7.1
 case $HOST in
   *ecg*)
@@ -33,7 +33,7 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
   *cca*)
@@ -43,10 +43,10 @@
   module load python
   export SCRATCH=$TMPDIR
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
 #  *)
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
 #  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
@@ -63,6 +63,6 @@
 
 cat >$CONTROL<<EOF
-GATEWAY srvx7.img.univie.ac.at
-DESTINATION leo@genericSftp
+GATEWAY srvx8.img.univie.ac.at
+DESTINATION philipa8@genericSftp
 accuracy 16
 addpar 186 187 188 235 139 39 
@@ -74,7 +74,7 @@
 dtime 3
 ecfsdir ectmp:/${USER}/econdemand/
-ecstorage 1
+ecstorage 0
 ectrans 0
-end_date 20131107
+end_date 20160809
 eta 0
 etadiff 0
@@ -85,8 +85,8 @@
 grid 5000
 inputdir ../work
-left -175000
+left -15000
 level 60
-levelist 1/to/60
-lower -90000
+levelist 55/to/60
+lower 30000
 mailfail ${USER}
 mailops ${USER}
@@ -98,18 +98,18 @@
 omegadiff 0
 outputdir ../work
-prefix EN
+prefix EI
 resol 63
-right 180000
+right 45000
 smooth 0
-start_date 20131107
+start_date 20160809
 step 00 01 02 03 04 05 00 07 08 09 10 11 00 01 02 03 04 05 00 07 08 09 10 11 
 stream OPER
 time 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12 
 type AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC 
-upper 90000
+upper 75000
 EOF
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
Index: python/job.temp
===================================================================
--- python/job.temp	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/job.temp	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -5,5 +5,5 @@
 # start with sbatch NAME_OF_THIS_FILE directly on machine
 
-#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --workdir=/scratch/ms/at/km4a
 #SBATCH --qos=normal
 #SBATCH --job-name=flex_ecmwf
@@ -25,5 +25,5 @@
 
 set -x
-
+export VERSION=7.1
 case $HOST in
   *ecg*)
@@ -33,7 +33,7 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
   *cca*)
@@ -43,10 +43,10 @@
   module load python
   export SCRATCH=$TMPDIR
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
 #  *)
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
 #  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
@@ -63,6 +63,6 @@
 
 cat >$CONTROL<<EOF
-GATEWAY srvx7.img.univie.ac.at
-DESTINATION leo@genericSftp
+GATEWAY srvx8.img.univie.ac.at
+DESTINATION philipa8@genericSftp
 EOF
 cat >>$CONTROL<<EOF
@@ -70,5 +70,5 @@
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
Index: python/job.temp.o
===================================================================
--- python/job.temp.o	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/job.temp.o	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -25,5 +25,5 @@
 
 set -x
-
+export VERSION=7.1
 case $HOST in
   *ecg*)
@@ -33,5 +33,5 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
   export PATH=${PATH}:
@@ -43,10 +43,10 @@
   module load python
   export SCRATCH=$TMPDIR
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
   export PATH=${PATH}:
   ;;
 #  *)
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
 #  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
@@ -66,5 +66,5 @@
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
Index: python/joboper.ksh
===================================================================
--- python/joboper.ksh	(revision d69b6776d6d39e0af0d38c95cbfd78284c9866e4)
+++ python/joboper.ksh	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -5,5 +5,5 @@
 # start with sbatch NAME_OF_THIS_FILE directly on machine
 
-#SBATCH --workdir=/scratch/ms/spatlh00/lh0
+#SBATCH --workdir=/scratch/ms/at/km4a
 #SBATCH --qos=normal
 #SBATCH --job-name=flex_ecmwf
@@ -25,5 +25,5 @@
 
 set -x
-
+export VERSION=7.1
 case $HOST in
   *ecg*)
@@ -33,7 +33,7 @@
   module load grib_api/1.14.5
   module load emos/437-r64
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
   *cca*)
@@ -43,10 +43,10 @@
   module load python
   export SCRATCH=$TMPDIR
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PYTHONPATH=$ECMWFDATA/python
-  export PATH=${PATH}:${HOME}/ECMWFDATA7.0/python
+  export PATH=${PATH}:${HOME}/ECMWFDATA7.1/python
   ;;
 #  *)
-#  export ECMWFDATA=$HOME/ECMWFDATA7.0
+#  export ECMWFDATA=$HOME/ECMWFDATA$VERSION
 #  export PATH=/opt/anaconda/bin:$ECMWFDATA/python:${PATH}
 #  export PYTHONPATH=/opt/anaconda/lib/python2.7/site-packages/grib_api:$ECMWFDATA/python
@@ -63,6 +63,6 @@
 
 cat >$CONTROL<<EOF
-GATEWAY srvx7.img.univie.ac.at
-DESTINATION leo@genericSftp
+GATEWAY srvx8.img.univie.ac.at
+DESTINATION philipa8@genericSftp
 accuracy 16
 addpar 186 187 188 235 139 39 
@@ -74,5 +74,5 @@
 dtime 3
 ecfsdir ectmp:/${USER}/econdemand/
-ecstorage 1
+ecstorage 0
 ectrans 0
 start_date ${MSJ_YEAR}${MSJ_MONTH}${MSJ_DAY}
@@ -85,8 +85,8 @@
 grid 5000
 inputdir ../work
-left -175000
+left -15000
 level 60
-levelist 1/to/60
-lower -90000
+levelist 55/to/60
+lower 30000
 mailfail ${USER}
 mailops ${USER}
@@ -98,7 +98,7 @@
 omegadiff 0
 outputdir ../work
-prefix EN
+prefix EI
 resol 63
-right 180000
+right 45000
 smooth 0
 start_date ${MSJ_YEAR}${MSJ_MONTH}${MSJ_DAY}
@@ -107,9 +107,9 @@
 time 00 00 00 00 00 00 06 00 00 00 00 00 12 12 12 12 12 12 18 12 12 12 12 12 
 type AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC AN FC FC FC FC FC 
-upper 90000
+upper 75000
 EOF
 
 
-submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work >prot
+submit.py --controlfile=$CONTROL --inputdir=./work --outputdir=./work 1> prot 2>&1
 
 if [ $? -eq 0 ] ; then
Index: python/plot_retrieved.py
===================================================================
--- python/plot_retrieved.py	(revision 64cf353e26a3860c83ca0f3024894e654483b415)
+++ python/plot_retrieved.py	(revision efdb01a8ac2d5cef85c651177aa18ac69dd660db)
@@ -30,5 +30,6 @@
 from argparse import ArgumentParser,ArgumentDefaultsHelpFormatter
 
-from FlexpartTools import interpret_args_and_control,silentremove,product,Control
+from Tools import interpret_args_and_control, silentremove, product
+from Control import Control
 from GribTools import GribTools
 from gribapi import *
